import IController, { AController } from './IController';
import IMark from './IMark';
declare class NullController extends AController {
    onMouseUpText(): void;
    onMouseUpMark(): void;
    onMouseUpSelection(): void;
    onMouseUpMetaString(): void;
    onMouseUpOther(): void;
}
declare class WordSelectionController extends AController {
    private deselectCbk;
    private selectNewCbk;
    private selectMarkCbk;
    constructor(deselectCbk: WordSelectionController['deselectCbk'], selectNewCbk: WordSelectionController['selectNewCbk'], selectMarkCbk: WordSelectionController['selectMarkCbk']);
    private deselect;
    private selectNew;
    private selectMarks;
    onMouseUpText(e: Event, charRange: [number, number]): void;
    onMouseUpMark(e: Event, charRange: [number, number], marks: IMark[]): void;
    onMouseUpSelection(e: Event, charRange: [number, number]): void;
    onMouseUpMetaString(e: Event, charRange: [number, number], metaStringText: string): void;
    onMouseUpOther(e: Event): void;
}
export { IController, AController, NullController, WordSelectionController };
